# DCM/DFA Reporting And Trafficking API . floodlightActivities

## Instance Methods

Deletes an existing floodlight activity.

Generates a tag for a floodlight activity.

Gets one floodlight activity by ID.

Inserts a new floodlight activity.

Retrieves a list of floodlight activities, possibly filtered.

Retrieves the next page of results.

Updates an existing floodlight activity. This method supports patch semantics.

Updates an existing floodlight activity.

### Method Details

`delete(profileId, id)`

    Deletes an existing floodlight activity.

    Args:
      profileId: string, User profile ID associated with this request. (required)
      id: string, Floodlight activity ID. (required)

`generatetag(profileId, floodlightActivityId=None)`

    Generates a tag for a floodlight activity.

    Args:
      profileId: string, User profile ID associated with this request. (required)
      floodlightActivityId: string, Floodlight activity ID for which we want to generate a tag.

    Returns:
      An object of the form:

        { # Floodlight Activity GenerateTag Response
        "kind": "dfareporting#floodlightActivitiesGenerateTagResponse", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#floodlightActivitiesGenerateTagResponse".
        "floodlightActivityTag": "A String", # Generated tag for this floodlight activity.
      }

`get(profileId, id)`

    Gets one floodlight activity by ID.

    Args:
      profileId: string, User profile ID associated with this request. (required)
      id: string, Floodlight activity ID. (required)

    Returns:
      An object of the form:

        { # Contains properties of a Floodlight activity.
          "tagString": "A String", # Value of the cat= paramter in the floodlight tag, which the ad servers use to identify the activity. This is optional: if empty, a new tag string will be generated for you. This string must be 1 to 8 characters long, with valid characters being [a-z][A-Z][0-9][-][ _ ]. This tag string must also be unique among activities of the same activity group. This field is read-only after insertion.
          "secure": True or False, # Whether this tag should use SSL.
          "floodlightActivityGroupName": "A String", # Name of the associated floodlight activity group. This is a read-only field.
          "imageTagEnabled": True or False, # Whether the image tag is enabled for this activity.
          "advertiserId": "A String", # Advertiser ID of this floodlight activity. If this field is left blank, the value will be copied over either from the activity group's advertiser or the existing activity's advertiser.
          "tagFormat": "A String", # Tag format type for the floodlight activity. If left blank, the tag format will default to HTML.
          "advertiserIdDimensionValue": { # Represents a DimensionValue resource. # Dimension value for the ID of the advertiser. This is a read-only, auto-generated field.
            "kind": "dfareporting#dimensionValue", # The kind of resource this is, in this case dfareporting#dimensionValue.
            "value": "A String", # The value of the dimension.
            "dimensionName": "A String", # The name of the dimension.
            "etag": "A String", # The eTag of this response for caching purposes.
            "matchType": "A String", # Determines how the 'value' field is matched when filtering. If not specified, defaults to EXACT. If set to WILDCARD_EXPRESSION, '*' is allowed as a placeholder for variable length character sequences, and it can be escaped with a backslash. Note, only paid search dimensions ('dfa:paidSearch*') allow a matchType other than EXACT.
            "id": "A String", # The ID associated with the value if available.
          },
          "floodlightActivityGroupId": "A String", # Floodlight activity group ID of this floodlight activity. This is a required field.
          "id": "A String", # ID of this floodlight activity. This is a read-only, auto-generated field.
          "floodlightActivityGroupTagString": "A String", # Tag string of the associated floodlight activity group. This is a read-only field.
          "publisherTags": [ # Publisher dynamic floodlight tags.
            { # Publisher Dynamic Tag
              "viewThrough": True or False, # Whether this tag is applicable only for view-throughs.
              "clickThrough": True or False, # Whether this tag is applicable only for click-throughs.
              "siteId": "A String", # Site ID of this dynamic tag.
              "dynamicTag": { # Dynamic Tag # Dynamic floodlight tag.
                "tag": "A String", # Tag code.
                "id": "A String", # ID of this dynamic tag. This is a read-only, auto-generated field.
                "name": "A String", # Name of this tag.
              },
              "directorySiteId": "A String", # Directory site ID of this dynamic tag. This is a write-only field that can be used as an alternative to the siteId field. When this resource is retrieved, only the siteId field will be populated.
              "siteIdDimensionValue": { # Represents a DimensionValue resource. # Dimension value for the ID of the site. This is a read-only, auto-generated field.
                "kind": "dfareporting#dimensionValue", # The kind of resource this is, in this case dfareporting#dimensionValue.
                "value": "A String", # The value of the dimension.
                "dimensionName": "A String", # The name of the dimension.
                "etag": "A String", # The eTag of this response for caching purposes.
                "matchType": "A String", # Determines how the 'value' field is matched when filtering. If not specified, defaults to EXACT. If set to WILDCARD_EXPRESSION, '*' is allowed as a placeholder for variable length character sequences, and it can be escaped with a backslash. Note, only paid search dimensions ('dfa:paidSearch*') allow a matchType other than EXACT.
                "id": "A String", # The ID associated with the value if available.
              },
            },
          ],
          "sslCompliant": True or False, # Whether the floodlight activity is SSL-compliant. This is a read-only field, its value detected by the system from the floodlight tags.
          "floodlightConfigurationIdDimensionValue": { # Represents a DimensionValue resource. # Dimension value for the ID of the floodlight configuration. This is a read-only, auto-generated field.
            "kind": "dfareporting#dimensionValue", # The kind of resource this is, in this case dfareporting#dimensionValue.
            "value": "A String", # The value of the dimension.
            "dimensionName": "A String", # The name of the dimension.
            "etag": "A String", # The eTag of this response for caching purposes.
            "matchType": "A String", # Determines how the 'value' field is matched when filtering. If not specified, defaults to EXACT. If set to WILDCARD_EXPRESSION, '*' is allowed as a placeholder for variable length character sequences, and it can be escaped with a backslash. Note, only paid search dimensions ('dfa:paidSearch*') allow a matchType other than EXACT.
            "id": "A String", # The ID associated with the value if available.
          },
          "idDimensionValue": { # Represents a DimensionValue resource. # Dimension value for the ID of this floodlight activity. This is a read-only, auto-generated field.
            "kind": "dfareporting#dimensionValue", # The kind of resource this is, in this case dfareporting#dimensionValue.
            "value": "A String", # The value of the dimension.
            "dimensionName": "A String", # The name of the dimension.
            "etag": "A String", # The eTag of this response for caching purposes.
            "matchType": "A String", # Determines how the 'value' field is matched when filtering. If not specified, defaults to EXACT. If set to WILDCARD_EXPRESSION, '*' is allowed as a placeholder for variable length character sequences, and it can be escaped with a backslash. Note, only paid search dimensions ('dfa:paidSearch*') allow a matchType other than EXACT.
            "id": "A String", # The ID associated with the value if available.
          },
          "hidden": True or False, # Whether this activity is archived.
          "accountId": "A String", # Account ID of this floodlight activity. This is a read-only field that can be left blank.
          "sslRequired": True or False, # Whether this floodlight activity must be SSL-compliant.
          "expectedUrl": "A String", # URL where this tag will be deployed. If specified, must be less than 256 characters long.
          "cacheBustingType": "A String", # Code type used for cache busting in the generated tag.
          "kind": "dfareporting#floodlightActivity", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#floodlightActivity".
          "subaccountId": "A String", # Subaccount ID of this floodlight activity. This is a read-only field that can be left blank.
          "name": "A String", # Name of this floodlight activity. This is a required field. Must be less than 129 characters long and cannot contain quotes.
          "notes": "A String", # General notes or implementation instructions for the tag.
          "floodlightConfigurationId": "A String", # Floodlight configuration ID of this floodlight activity. If this field is left blank, the value will be copied over either from the activity group's floodlight configuration or from the existing activity's floodlight configuration.
          "userDefinedVariableTypes": [ # List of the user-defined variables used by this conversion tag. These map to the "u[1-20]=" in the tags. Each of these can have a user defined type.
              # Acceptable values are:
              # - "U1"
              # - "U2"
              # - "U3"
              # - "U4"
              # - "U5"
              # - "U6"
              # - "U7"
              # - "U8"
              # - "U9"
              # - "U10"
              # - "U11"
              # - "U12"
              # - "U13"
              # - "U14"
              # - "U15"
              # - "U16"
              # - "U17"
              # - "U18"
              # - "U19"
              # - "U20"
            "A String",
          ],
          "defaultTags": [ # Dynamic floodlight tags.
            { # Dynamic Tag
              "tag": "A String", # Tag code.
              "id": "A String", # ID of this dynamic tag. This is a read-only, auto-generated field.
              "name": "A String", # Name of this tag.
            },
          ],
          "countingMethod": "A String", # Counting method for conversions for this floodlight activity. This is a required field.
          "floodlightActivityGroupType": "A String", # Type of the associated floodlight activity group. This is a read-only field.
        }

`insert(profileId, body)`

    Inserts a new floodlight activity.

    Args:
      profileId: string, User profile ID associated with this request. (required)
      body: object, The request body. (required)
        The object takes the form of:

    { # Contains properties of a Floodlight activity.
        "tagString": "A String", # Value of the cat= paramter in the floodlight tag, which the ad servers use to identify the activity. This is optional: if empty, a new tag string will be generated for you. This string must be 1 to 8 characters long, with valid characters being [a-z][A-Z][0-9][-][ _ ]. This tag string must also be unique among activities of the same activity group. This field is read-only after insertion.
        "secure": True or False, # Whether this tag should use SSL.
        "floodlightActivityGroupName": "A String", # Name of the associated floodlight activity group. This is a read-only field.
        "imageTagEnabled": True or False, # Whether the image tag is enabled for this activity.
        "advertiserId": "A String", # Advertiser ID of this floodlight activity. If this field is left blank, the value will be copied over either from the activity group's advertiser or the existing activity's advertiser.
        "tagFormat": "A String", # Tag format type for the floodlight activity. If left blank, the tag format will default to HTML.
        "advertiserIdDimensionValue": { # Represents a DimensionValue resource. # Dimension value for the ID of the advertiser. This is a read-only, auto-generated field.
          "kind": "dfareporting#dimensionValue", # The kind of resource this is, in this case dfareporting#dimensionValue.
          "value": "A String", # The value of the dimension.
          "dimensionName": "A String", # The name of the dimension.
          "etag": "A String", # The eTag of this response for caching purposes.
          "matchType": "A String", # Determines how the 'value' field is matched when filtering. If not specified, defaults to EXACT. If set to WILDCARD_EXPRESSION, '*' is allowed as a placeholder for variable length character sequences, and it can be escaped with a backslash. Note, only paid search dimensions ('dfa:paidSearch*') allow a matchType other than EXACT.
          "id": "A String", # The ID associated with the value if available.
        },
        "floodlightActivityGroupId": "A String", # Floodlight activity group ID of this floodlight activity. This is a required field.
        "id": "A String", # ID of this floodlight activity. This is a read-only, auto-generated field.
        "floodlightActivityGroupTagString": "A String", # Tag string of the associated floodlight activity group. This is a read-only field.
        "publisherTags": [ # Publisher dynamic floodlight tags.
          { # Publisher Dynamic Tag
            "viewThrough": True or False, # Whether this tag is applicable only for view-throughs.
            "clickThrough": True or False, # Whether this tag is applicable only for click-throughs.
            "siteId": "A String", # Site ID of this dynamic tag.
            "dynamicTag": { # Dynamic Tag # Dynamic floodlight tag.
              "tag": "A String", # Tag code.
              "id": "A String", # ID of this dynamic tag. This is a read-only, auto-generated field.
              "name": "A String", # Name of this tag.
            },
            "directorySiteId": "A String", # Directory site ID of this dynamic tag. This is a write-only field that can be used as an alternative to the siteId field. When this resource is retrieved, only the siteId field will be populated.
            "siteIdDimensionValue": { # Represents a DimensionValue resource. # Dimension value for the ID of the site. This is a read-only, auto-generated field.
              "kind": "dfareporting#dimensionValue", # The kind of resource this is, in this case dfareporting#dimensionValue.
              "value": "A String", # The value of the dimension.
              "dimensionName": "A String", # The name of the dimension.
              "etag": "A String", # The eTag of this response for caching purposes.
              "matchType": "A String", # Determines how the 'value' field is matched when filtering. If not specified, defaults to EXACT. If set to WILDCARD_EXPRESSION, '*' is allowed as a placeholder for variable length character sequences, and it can be escaped with a backslash. Note, only paid search dimensions ('dfa:paidSearch*') allow a matchType other than EXACT.
              "id": "A String", # The ID associated with the value if available.
            },
          },
        ],
        "sslCompliant": True or False, # Whether the floodlight activity is SSL-compliant. This is a read-only field, its value detected by the system from the floodlight tags.
        "floodlightConfigurationIdDimensionValue": { # Represents a DimensionValue resource. # Dimension value for the ID of the floodlight configuration. This is a read-only, auto-generated field.
          "kind": "dfareporting#dimensionValue", # The kind of resource this is, in this case dfareporting#dimensionValue.
          "value": "A String", # The value of the dimension.
          "dimensionName": "A String", # The name of the dimension.
          "etag": "A String", # The eTag of this response for caching purposes.
          "matchType": "A String", # Determines how the 'value' field is matched when filtering. If not specified, defaults to EXACT. If set to WILDCARD_EXPRESSION, '*' is allowed as a placeholder for variable length character sequences, and it can be escaped with a backslash. Note, only paid search dimensions ('dfa:paidSearch*') allow a matchType other than EXACT.
          "id": "A String", # The ID associated with the value if available.
        },
        "idDimensionValue": { # Represents a DimensionValue resource. # Dimension value for the ID of this floodlight activity. This is a read-only, auto-generated field.
          "kind": "dfareporting#dimensionValue", # The kind of resource this is, in this case dfareporting#dimensionValue.
          "value": "A String", # The value of the dimension.
          "dimensionName": "A String", # The name of the dimension.
          "etag": "A String", # The eTag of this response for caching purposes.
          "matchType": "A String", # Determines how the 'value' field is matched when filtering. If not specified, defaults to EXACT. If set to WILDCARD_EXPRESSION, '*' is allowed as a placeholder for variable length character sequences, and it can be escaped with a backslash. Note, only paid search dimensions ('dfa:paidSearch*') allow a matchType other than EXACT.
          "id": "A String", # The ID associated with the value if available.
        },
        "hidden": True or False, # Whether this activity is archived.
        "accountId": "A String", # Account ID of this floodlight activity. This is a read-only field that can be left blank.
        "sslRequired": True or False, # Whether this floodlight activity must be SSL-compliant.
        "expectedUrl": "A String", # URL where this tag will be deployed. If specified, must be less than 256 characters long.
        "cacheBustingType": "A String", # Code type used for cache busting in the generated tag.
        "kind": "dfareporting#floodlightActivity", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#floodlightActivity".
        "subaccountId": "A String", # Subaccount ID of this floodlight activity. This is a read-only field that can be left blank.
        "name": "A String", # Name of this floodlight activity. This is a required field. Must be less than 129 characters long and cannot contain quotes.
        "notes": "A String", # General notes or implementation instructions for the tag.
        "floodlightConfigurationId": "A String", # Floodlight configuration ID of this floodlight activity. If this field is left blank, the value will be copied over either from the activity group's floodlight configuration or from the existing activity's floodlight configuration.
        "userDefinedVariableTypes": [ # List of the user-defined variables used by this conversion tag. These map to the "u[1-20]=" in the tags. Each of these can have a user defined type.
            # Acceptable values are:
            # - "U1"
            # - "U2"
            # - "U3"
            # - "U4"
            # - "U5"
            # - "U6"
            # - "U7"
            # - "U8"
            # - "U9"
            # - "U10"
            # - "U11"
            # - "U12"
            # - "U13"
            # - "U14"
            # - "U15"
            # - "U16"
            # - "U17"
            # - "U18"
            # - "U19"
            # - "U20"
          "A String",
        ],
        "defaultTags": [ # Dynamic floodlight tags.
          { # Dynamic Tag
            "tag": "A String", # Tag code.
            "id": "A String", # ID of this dynamic tag. This is a read-only, auto-generated field.
            "name": "A String", # Name of this tag.
          },
        ],
        "countingMethod": "A String", # Counting method for conversions for this floodlight activity. This is a required field.
        "floodlightActivityGroupType": "A String", # Type of the associated floodlight activity group. This is a read-only field.
      }

    Returns:
      An object of the form:

        { # Contains properties of a Floodlight activity.
          "tagString": "A String", # Value of the cat= paramter in the floodlight tag, which the ad servers use to identify the activity. This is optional: if empty, a new tag string will be generated for you. This string must be 1 to 8 characters long, with valid characters being [a-z][A-Z][0-9][-][ _ ]. This tag string must also be unique among activities of the same activity group. This field is read-only after insertion.
          "secure": True or False, # Whether this tag should use SSL.
          "floodlightActivityGroupName": "A String", # Name of the associated floodlight activity group. This is a read-only field.
          "imageTagEnabled": True or False, # Whether the image tag is enabled for this activity.
          "advertiserId": "A String", # Advertiser ID of this floodlight activity. If this field is left blank, the value will be copied over either from the activity group's advertiser or the existing activity's advertiser.
          "tagFormat": "A String", # Tag format type for the floodlight activity. If left blank, the tag format will default to HTML.
          "advertiserIdDimensionValue": { # Represents a DimensionValue resource. # Dimension value for the ID of the advertiser. This is a read-only, auto-generated field.
            "kind": "dfareporting#dimensionValue", # The kind of resource this is, in this case dfareporting#dimensionValue.
            "value": "A String", # The value of the dimension.
            "dimensionName": "A String", # The name of the dimension.
            "etag": "A String", # The eTag of this response for caching purposes.
            "matchType": "A String", # Determines how the 'value' field is matched when filtering. If not specified, defaults to EXACT. If set to WILDCARD_EXPRESSION, '*' is allowed as a placeholder for variable length character sequences, and it can be escaped with a backslash. Note, only paid search dimensions ('dfa:paidSearch*') allow a matchType other than EXACT.
            "id": "A String", # The ID associated with the value if available.
          },
          "floodlightActivityGroupId": "A String", # Floodlight activity group ID of this floodlight activity. This is a required field.
          "id": "A String", # ID of this floodlight activity. This is a read-only, auto-generated field.
          "floodlightActivityGroupTagString": "A String", # Tag string of the associated floodlight activity group. This is a read-only field.
          "publisherTags": [ # Publisher dynamic floodlight tags.
            { # Publisher Dynamic Tag
              "viewThrough": True or False, # Whether this tag is applicable only for view-throughs.
              "clickThrough": True or False, # Whether this tag is applicable only for click-throughs.
              "siteId": "A String", # Site ID of this dynamic tag.
              "dynamicTag": { # Dynamic Tag # Dynamic floodlight tag.
                "tag": "A String", # Tag code.
                "id": "A String", # ID of this dynamic tag. This is a read-only, auto-generated field.
                "name": "A String", # Name of this tag.
              },
              "directorySiteId": "A String", # Directory site ID of this dynamic tag. This is a write-only field that can be used as an alternative to the siteId field. When this resource is retrieved, only the siteId field will be populated.
              "siteIdDimensionValue": { # Represents a DimensionValue resource. # Dimension value for the ID of the site. This is a read-only, auto-generated field.
                "kind": "dfareporting#dimensionValue", # The kind of resource this is, in this case dfareporting#dimensionValue.
                "value": "A String", # The value of the dimension.
                "dimensionName": "A String", # The name of the dimension.
                "etag": "A String", # The eTag of this response for caching purposes.
                "matchType": "A String", # Determines how the 'value' field is matched when filtering. If not specified, defaults to EXACT. If set to WILDCARD_EXPRESSION, '*' is allowed as a placeholder for variable length character sequences, and it can be escaped with a backslash. Note, only paid search dimensions ('dfa:paidSearch*') allow a matchType other than EXACT.
                "id": "A String", # The ID associated with the value if available.
              },
            },
          ],
          "sslCompliant": True or False, # Whether the floodlight activity is SSL-compliant. This is a read-only field, its value detected by the system from the floodlight tags.
          "floodlightConfigurationIdDimensionValue": { # Represents a DimensionValue resource. # Dimension value for the ID of the floodlight configuration. This is a read-only, auto-generated field.
            "kind": "dfareporting#dimensionValue", # The kind of resource this is, in this case dfareporting#dimensionValue.
            "value": "A String", # The value of the dimension.
            "dimensionName": "A String", # The name of the dimension.
            "etag": "A String", # The eTag of this response for caching purposes.
            "matchType": "A String", # Determines how the 'value' field is matched when filtering. If not specified, defaults to EXACT. If set to WILDCARD_EXPRESSION, '*' is allowed as a placeholder for variable length character sequences, and it can be escaped with a backslash. Note, only paid search dimensions ('dfa:paidSearch*') allow a matchType other than EXACT.
            "id": "A String", # The ID associated with the value if available.
          },
          "idDimensionValue": { # Represents a DimensionValue resource. # Dimension value for the ID of this floodlight activity. This is a read-only, auto-generated field.
            "kind": "dfareporting#dimensionValue", # The kind of resource this is, in this case dfareporting#dimensionValue.
            "value": "A String", # The value of the dimension.
            "dimensionName": "A String", # The name of the dimension.
            "etag": "A String", # The eTag of this response for caching purposes.
            "matchType": "A String", # Determines how the 'value' field is matched when filtering. If not specified, defaults to EXACT. If set to WILDCARD_EXPRESSION, '*' is allowed as a placeholder for variable length character sequences, and it can be escaped with a backslash. Note, only paid search dimensions ('dfa:paidSearch*') allow a matchType other than EXACT.
            "id": "A String", # The ID associated with the value if available.
          },
          "hidden": True or False, # Whether this activity is archived.
          "accountId": "A String", # Account ID of this floodlight activity. This is a read-only field that can be left blank.
          "sslRequired": True or False, # Whether this floodlight activity must be SSL-compliant.
          "expectedUrl": "A String", # URL where this tag will be deployed. If specified, must be less than 256 characters long.
          "cacheBustingType": "A String", # Code type used for cache busting in the generated tag.
          "kind": "dfareporting#floodlightActivity", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#floodlightActivity".
          "subaccountId": "A String", # Subaccount ID of this floodlight activity. This is a read-only field that can be left blank.
          "name": "A String", # Name of this floodlight activity. This is a required field. Must be less than 129 characters long and cannot contain quotes.
          "notes": "A String", # General notes or implementation instructions for the tag.
          "floodlightConfigurationId": "A String", # Floodlight configuration ID of this floodlight activity. If this field is left blank, the value will be copied over either from the activity group's floodlight configuration or from the existing activity's floodlight configuration.
          "userDefinedVariableTypes": [ # List of the user-defined variables used by this conversion tag. These map to the "u[1-20]=" in the tags. Each of these can have a user defined type.
              # Acceptable values are:
              # - "U1"
              # - "U2"
              # - "U3"
              # - "U4"
              # - "U5"
              # - "U6"
              # - "U7"
              # - "U8"
              # - "U9"
              # - "U10"
              # - "U11"
              # - "U12"
              # - "U13"
              # - "U14"
              # - "U15"
              # - "U16"
              # - "U17"
              # - "U18"
              # - "U19"
              # - "U20"
            "A String",
          ],
          "defaultTags": [ # Dynamic floodlight tags.
            { # Dynamic Tag
              "tag": "A String", # Tag code.
              "id": "A String", # ID of this dynamic tag. This is a read-only, auto-generated field.
              "name": "A String", # Name of this tag.
            },
          ],
          "countingMethod": "A String", # Counting method for conversions for this floodlight activity. This is a required field.
          "floodlightActivityGroupType": "A String", # Type of the associated floodlight activity group. This is a read-only field.
        }

`list(profileId, floodlightActivityGroupName=None, advertiserId=None, tagString=None, floodlightActivityGroupTagString=None, floodlightActivityGroupIds=None, pageToken=None, sortOrder=None, maxResults=None, searchString=None, sortField=None, floodlightConfigurationId=None, ids=None, floodlightActivityGroupType=None)`

    Retrieves a list of floodlight activities, possibly filtered.

    Args:
      profileId: string, User profile ID associated with this request. (required)
      floodlightActivityGroupName: string, Select only floodlight activities with the specified floodlight activity group name.
      advertiserId: string, Select only floodlight activities for the specified advertiser ID. Must specify either ids, advertiserId, or floodlightConfigurationId for a non-empty result.
      tagString: string, Select only floodlight activities with the specified tag string.
      floodlightActivityGroupTagString: string, Select only floodlight activities with the specified floodlight activity group tag string.
      floodlightActivityGroupIds: string, Select only floodlight activities with the specified floodlight activity group IDs. (repeated)
      pageToken: string, Value of the nextPageToken from the previous result page.
      sortOrder: string, Order of sorted results, default is ASCENDING.
        Allowed values
          ASCENDING -
          DESCENDING -
      maxResults: integer, Maximum number of results to return.
      searchString: string, Allows searching for objects by name or ID. Wildcards (*) are allowed. For example, "floodlightactivity*2015" will return objects with names like "floodlightactivity June 2015", "floodlightactivity April 2015", or simply "floodlightactivity 2015". Most of the searches also add wildcards implicitly at the start and the end of the search string. For example, a search string of "floodlightactivity" will match objects with name "my floodlightactivity activity", "floodlightactivity 2015", or simply "floodlightactivity".
      sortField: string, Field by which to sort the list.
        Allowed values
          ID -
          NAME -
      floodlightConfigurationId: string, Select only floodlight activities for the specified floodlight configuration ID. Must specify either ids, advertiserId, or floodlightConfigurationId for a non-empty result.
      ids: string, Select only floodlight activities with the specified IDs. Must specify either ids, advertiserId, or floodlightConfigurationId for a non-empty result. (repeated)
      floodlightActivityGroupType: string, Select only floodlight activities with the specified floodlight activity group type.
        Allowed values
          COUNTER -
          SALE -

    Returns:
      An object of the form:

        { # Floodlight Activity List Response
        "nextPageToken": "A String", # Pagination token to be used for the next list operation.
        "kind": "dfareporting#floodlightActivitiesListResponse", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#floodlightActivitiesListResponse".
        "floodlightActivities": [ # Floodlight activity collection.
          { # Contains properties of a Floodlight activity.
              "tagString": "A String", # Value of the cat= paramter in the floodlight tag, which the ad servers use to identify the activity. This is optional: if empty, a new tag string will be generated for you. This string must be 1 to 8 characters long, with valid characters being [a-z][A-Z][0-9][-][ _ ]. This tag string must also be unique among activities of the same activity group. This field is read-only after insertion.
              "secure": True or False, # Whether this tag should use SSL.
              "floodlightActivityGroupName": "A String", # Name of the associated floodlight activity group. This is a read-only field.
              "imageTagEnabled": True or False, # Whether the image tag is enabled for this activity.
              "advertiserId": "A String", # Advertiser ID of this floodlight activity. If this field is left blank, the value will be copied over either from the activity group's advertiser or the existing activity's advertiser.
              "tagFormat": "A String", # Tag format type for the floodlight activity. If left blank, the tag format will default to HTML.
              "advertiserIdDimensionValue": { # Represents a DimensionValue resource. # Dimension value for the ID of the advertiser. This is a read-only, auto-generated field.
                "kind": "dfareporting#dimensionValue", # The kind of resource this is, in this case dfareporting#dimensionValue.
                "value": "A String", # The value of the dimension.
                "dimensionName": "A String", # The name of the dimension.
                "etag": "A String", # The eTag of this response for caching purposes.
                "matchType": "A String", # Determines how the 'value' field is matched when filtering. If not specified, defaults to EXACT. If set to WILDCARD_EXPRESSION, '*' is allowed as a placeholder for variable length character sequences, and it can be escaped with a backslash. Note, only paid search dimensions ('dfa:paidSearch*') allow a matchType other than EXACT.
                "id": "A String", # The ID associated with the value if available.
              },
              "floodlightActivityGroupId": "A String", # Floodlight activity group ID of this floodlight activity. This is a required field.
              "id": "A String", # ID of this floodlight activity. This is a read-only, auto-generated field.
              "floodlightActivityGroupTagString": "A String", # Tag string of the associated floodlight activity group. This is a read-only field.
              "publisherTags": [ # Publisher dynamic floodlight tags.
                { # Publisher Dynamic Tag
                  "viewThrough": True or False, # Whether this tag is applicable only for view-throughs.
                  "clickThrough": True or False, # Whether this tag is applicable only for click-throughs.
                  "siteId": "A String", # Site ID of this dynamic tag.
                  "dynamicTag": { # Dynamic Tag # Dynamic floodlight tag.
                    "tag": "A String", # Tag code.
                    "id": "A String", # ID of this dynamic tag. This is a read-only, auto-generated field.
                    "name": "A String", # Name of this tag.
                  },
                  "directorySiteId": "A String", # Directory site ID of this dynamic tag. This is a write-only field that can be used as an alternative to the siteId field. When this resource is retrieved, only the siteId field will be populated.
                  "siteIdDimensionValue": { # Represents a DimensionValue resource. # Dimension value for the ID of the site. This is a read-only, auto-generated field.
                    "kind": "dfareporting#dimensionValue", # The kind of resource this is, in this case dfareporting#dimensionValue.
                    "value": "A String", # The value of the dimension.
                    "dimensionName": "A String", # The name of the dimension.
                    "etag": "A String", # The eTag of this response for caching purposes.
                    "matchType": "A String", # Determines how the 'value' field is matched when filtering. If not specified, defaults to EXACT. If set to WILDCARD_EXPRESSION, '*' is allowed as a placeholder for variable length character sequences, and it can be escaped with a backslash. Note, only paid search dimensions ('dfa:paidSearch*') allow a matchType other than EXACT.
                    "id": "A String", # The ID associated with the value if available.
                  },
                },
              ],
              "sslCompliant": True or False, # Whether the floodlight activity is SSL-compliant. This is a read-only field, its value detected by the system from the floodlight tags.
              "floodlightConfigurationIdDimensionValue": { # Represents a DimensionValue resource. # Dimension value for the ID of the floodlight configuration. This is a read-only, auto-generated field.
                "kind": "dfareporting#dimensionValue", # The kind of resource this is, in this case dfareporting#dimensionValue.
                "value": "A String", # The value of the dimension.
                "dimensionName": "A String", # The name of the dimension.
                "etag": "A String", # The eTag of this response for caching purposes.
                "matchType": "A String", # Determines how the 'value' field is matched when filtering. If not specified, defaults to EXACT. If set to WILDCARD_EXPRESSION, '*' is allowed as a placeholder for variable length character sequences, and it can be escaped with a backslash. Note, only paid search dimensions ('dfa:paidSearch*') allow a matchType other than EXACT.
                "id": "A String", # The ID associated with the value if available.
              },
              "idDimensionValue": { # Represents a DimensionValue resource. # Dimension value for the ID of this floodlight activity. This is a read-only, auto-generated field.
                "kind": "dfareporting#dimensionValue", # The kind of resource this is, in this case dfareporting#dimensionValue.
                "value": "A String", # The value of the dimension.
                "dimensionName": "A String", # The name of the dimension.
                "etag": "A String", # The eTag of this response for caching purposes.
                "matchType": "A String", # Determines how the 'value' field is matched when filtering. If not specified, defaults to EXACT. If set to WILDCARD_EXPRESSION, '*' is allowed as a placeholder for variable length character sequences, and it can be escaped with a backslash. Note, only paid search dimensions ('dfa:paidSearch*') allow a matchType other than EXACT.
                "id": "A String", # The ID associated with the value if available.
              },
              "hidden": True or False, # Whether this activity is archived.
              "accountId": "A String", # Account ID of this floodlight activity. This is a read-only field that can be left blank.
              "sslRequired": True or False, # Whether this floodlight activity must be SSL-compliant.
              "expectedUrl": "A String", # URL where this tag will be deployed. If specified, must be less than 256 characters long.
              "cacheBustingType": "A String", # Code type used for cache busting in the generated tag.
              "kind": "dfareporting#floodlightActivity", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#floodlightActivity".
              "subaccountId": "A String", # Subaccount ID of this floodlight activity. This is a read-only field that can be left blank.
              "name": "A String", # Name of this floodlight activity. This is a required field. Must be less than 129 characters long and cannot contain quotes.
              "notes": "A String", # General notes or implementation instructions for the tag.
              "floodlightConfigurationId": "A String", # Floodlight configuration ID of this floodlight activity. If this field is left blank, the value will be copied over either from the activity group's floodlight configuration or from the existing activity's floodlight configuration.
              "userDefinedVariableTypes": [ # List of the user-defined variables used by this conversion tag. These map to the "u[1-20]=" in the tags. Each of these can have a user defined type.
                  # Acceptable values are:
                  # - "U1"
                  # - "U2"
                  # - "U3"
                  # - "U4"
                  # - "U5"
                  # - "U6"
                  # - "U7"
                  # - "U8"
                  # - "U9"
                  # - "U10"
                  # - "U11"
                  # - "U12"
                  # - "U13"
                  # - "U14"
                  # - "U15"
                  # - "U16"
                  # - "U17"
                  # - "U18"
                  # - "U19"
                  # - "U20"
                "A String",
              ],
              "defaultTags": [ # Dynamic floodlight tags.
                { # Dynamic Tag
                  "tag": "A String", # Tag code.
                  "id": "A String", # ID of this dynamic tag. This is a read-only, auto-generated field.
                  "name": "A String", # Name of this tag.
                },
              ],
              "countingMethod": "A String", # Counting method for conversions for this floodlight activity. This is a required field.
              "floodlightActivityGroupType": "A String", # Type of the associated floodlight activity group. This is a read-only field.
            },
        ],
      }

`list_next(previous_request, previous_response)`

    Retrieves the next page of results.

    Args:
      previous_request: The request for the previous page. (required)
      previous_response: The response from the request for the previous page. (required)

    Returns:
      A request object that you can call 'execute()' on to request the next
      page. Returns None if there are no more items in the collection.

`patch(profileId, id, body)`

    Updates an existing floodlight activity. This method supports patch semantics.

    Args:
      profileId: string, User profile ID associated with this request. (required)
      id: string, Floodlight activity ID. (required)
      body: object, The request body. (required)
        The object takes the form of:

    { # Contains properties of a Floodlight activity.
        "tagString": "A String", # Value of the cat= paramter in the floodlight tag, which the ad servers use to identify the activity. This is optional: if empty, a new tag string will be generated for you. This string must be 1 to 8 characters long, with valid characters being [a-z][A-Z][0-9][-][ _ ]. This tag string must also be unique among activities of the same activity group. This field is read-only after insertion.
        "secure": True or False, # Whether this tag should use SSL.
        "floodlightActivityGroupName": "A String", # Name of the associated floodlight activity group. This is a read-only field.
        "imageTagEnabled": True or False, # Whether the image tag is enabled for this activity.
        "advertiserId": "A String", # Advertiser ID of this floodlight activity. If this field is left blank, the value will be copied over either from the activity group's advertiser or the existing activity's advertiser.
        "tagFormat": "A String", # Tag format type for the floodlight activity. If left blank, the tag format will default to HTML.
        "advertiserIdDimensionValue": { # Represents a DimensionValue resource. # Dimension value for the ID of the advertiser. This is a read-only, auto-generated field.
          "kind": "dfareporting#dimensionValue", # The kind of resource this is, in this case dfareporting#dimensionValue.
          "value": "A String", # The value of the dimension.
          "dimensionName": "A String", # The name of the dimension.
          "etag": "A String", # The eTag of this response for caching purposes.
          "matchType": "A String", # Determines how the 'value' field is matched when filtering. If not specified, defaults to EXACT. If set to WILDCARD_EXPRESSION, '*' is allowed as a placeholder for variable length character sequences, and it can be escaped with a backslash. Note, only paid search dimensions ('dfa:paidSearch*') allow a matchType other than EXACT.
          "id": "A String", # The ID associated with the value if available.
        },
        "floodlightActivityGroupId": "A String", # Floodlight activity group ID of this floodlight activity. This is a required field.
        "id": "A String", # ID of this floodlight activity. This is a read-only, auto-generated field.
        "floodlightActivityGroupTagString": "A String", # Tag string of the associated floodlight activity group. This is a read-only field.
        "publisherTags": [ # Publisher dynamic floodlight tags.
          { # Publisher Dynamic Tag
            "viewThrough": True or False, # Whether this tag is applicable only for view-throughs.
            "clickThrough": True or False, # Whether this tag is applicable only for click-throughs.
            "siteId": "A String", # Site ID of this dynamic tag.
            "dynamicTag": { # Dynamic Tag # Dynamic floodlight tag.
              "tag": "A String", # Tag code.
              "id": "A String", # ID of this dynamic tag. This is a read-only, auto-generated field.
              "name": "A String", # Name of this tag.
            },
            "directorySiteId": "A String", # Directory site ID of this dynamic tag. This is a write-only field that can be used as an alternative to the siteId field. When this resource is retrieved, only the siteId field will be populated.
            "siteIdDimensionValue": { # Represents a DimensionValue resource. # Dimension value for the ID of the site. This is a read-only, auto-generated field.
              "kind": "dfareporting#dimensionValue", # The kind of resource this is, in this case dfareporting#dimensionValue.
              "value": "A String", # The value of the dimension.
              "dimensionName": "A String", # The name of the dimension.
              "etag": "A String", # The eTag of this response for caching purposes.
              "matchType": "A String", # Determines how the 'value' field is matched when filtering. If not specified, defaults to EXACT. If set to WILDCARD_EXPRESSION, '*' is allowed as a placeholder for variable length character sequences, and it can be escaped with a backslash. Note, only paid search dimensions ('dfa:paidSearch*') allow a matchType other than EXACT.
              "id": "A String", # The ID associated with the value if available.
            },
          },
        ],
        "sslCompliant": True or False, # Whether the floodlight activity is SSL-compliant. This is a read-only field, its value detected by the system from the floodlight tags.
        "floodlightConfigurationIdDimensionValue": { # Represents a DimensionValue resource. # Dimension value for the ID of the floodlight configuration. This is a read-only, auto-generated field.
          "kind": "dfareporting#dimensionValue", # The kind of resource this is, in this case dfareporting#dimensionValue.
          "value": "A String", # The value of the dimension.
          "dimensionName": "A String", # The name of the dimension.
          "etag": "A String", # The eTag of this response for caching purposes.
          "matchType": "A String", # Determines how the 'value' field is matched when filtering. If not specified, defaults to EXACT. If set to WILDCARD_EXPRESSION, '*' is allowed as a placeholder for variable length character sequences, and it can be escaped with a backslash. Note, only paid search dimensions ('dfa:paidSearch*') allow a matchType other than EXACT.
          "id": "A String", # The ID associated with the value if available.
        },
        "idDimensionValue": { # Represents a DimensionValue resource. # Dimension value for the ID of this floodlight activity. This is a read-only, auto-generated field.
          "kind": "dfareporting#dimensionValue", # The kind of resource this is, in this case dfareporting#dimensionValue.
          "value": "A String", # The value of the dimension.
          "dimensionName": "A String", # The name of the dimension.
          "etag": "A String", # The eTag of this response for caching purposes.
          "matchType": "A String", # Determines how the 'value' field is matched when filtering. If not specified, defaults to EXACT. If set to WILDCARD_EXPRESSION, '*' is allowed as a placeholder for variable length character sequences, and it can be escaped with a backslash. Note, only paid search dimensions ('dfa:paidSearch*') allow a matchType other than EXACT.
          "id": "A String", # The ID associated with the value if available.
        },
        "hidden": True or False, # Whether this activity is archived.
        "accountId": "A String", # Account ID of this floodlight activity. This is a read-only field that can be left blank.
        "sslRequired": True or False, # Whether this floodlight activity must be SSL-compliant.
        "expectedUrl": "A String", # URL where this tag will be deployed. If specified, must be less than 256 characters long.
        "cacheBustingType": "A String", # Code type used for cache busting in the generated tag.
        "kind": "dfareporting#floodlightActivity", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#floodlightActivity".
        "subaccountId": "A String", # Subaccount ID of this floodlight activity. This is a read-only field that can be left blank.
        "name": "A String", # Name of this floodlight activity. This is a required field. Must be less than 129 characters long and cannot contain quotes.
        "notes": "A String", # General notes or implementation instructions for the tag.
        "floodlightConfigurationId": "A String", # Floodlight configuration ID of this floodlight activity. If this field is left blank, the value will be copied over either from the activity group's floodlight configuration or from the existing activity's floodlight configuration.
        "userDefinedVariableTypes": [ # List of the user-defined variables used by this conversion tag. These map to the "u[1-20]=" in the tags. Each of these can have a user defined type.
            # Acceptable values are:
            # - "U1"
            # - "U2"
            # - "U3"
            # - "U4"
            # - "U5"
            # - "U6"
            # - "U7"
            # - "U8"
            # - "U9"
            # - "U10"
            # - "U11"
            # - "U12"
            # - "U13"
            # - "U14"
            # - "U15"
            # - "U16"
            # - "U17"
            # - "U18"
            # - "U19"
            # - "U20"
          "A String",
        ],
        "defaultTags": [ # Dynamic floodlight tags.
          { # Dynamic Tag
            "tag": "A String", # Tag code.
            "id": "A String", # ID of this dynamic tag. This is a read-only, auto-generated field.
            "name": "A String", # Name of this tag.
          },
        ],
        "countingMethod": "A String", # Counting method for conversions for this floodlight activity. This is a required field.
        "floodlightActivityGroupType": "A String", # Type of the associated floodlight activity group. This is a read-only field.
      }

    Returns:
      An object of the form:

        { # Contains properties of a Floodlight activity.
          "tagString": "A String", # Value of the cat= paramter in the floodlight tag, which the ad servers use to identify the activity. This is optional: if empty, a new tag string will be generated for you. This string must be 1 to 8 characters long, with valid characters being [a-z][A-Z][0-9][-][ _ ]. This tag string must also be unique among activities of the same activity group. This field is read-only after insertion.
          "secure": True or False, # Whether this tag should use SSL.
          "floodlightActivityGroupName": "A String", # Name of the associated floodlight activity group. This is a read-only field.
          "imageTagEnabled": True or False, # Whether the image tag is enabled for this activity.
          "advertiserId": "A String", # Advertiser ID of this floodlight activity. If this field is left blank, the value will be copied over either from the activity group's advertiser or the existing activity's advertiser.
          "tagFormat": "A String", # Tag format type for the floodlight activity. If left blank, the tag format will default to HTML.
          "advertiserIdDimensionValue": { # Represents a DimensionValue resource. # Dimension value for the ID of the advertiser. This is a read-only, auto-generated field.
            "kind": "dfareporting#dimensionValue", # The kind of resource this is, in this case dfareporting#dimensionValue.
            "value": "A String", # The value of the dimension.
            "dimensionName": "A String", # The name of the dimension.
            "etag": "A String", # The eTag of this response for caching purposes.
            "matchType": "A String", # Determines how the 'value' field is matched when filtering. If not specified, defaults to EXACT. If set to WILDCARD_EXPRESSION, '*' is allowed as a placeholder for variable length character sequences, and it can be escaped with a backslash. Note, only paid search dimensions ('dfa:paidSearch*') allow a matchType other than EXACT.
            "id": "A String", # The ID associated with the value if available.
          },
          "floodlightActivityGroupId": "A String", # Floodlight activity group ID of this floodlight activity. This is a required field.
          "id": "A String", # ID of this floodlight activity. This is a read-only, auto-generated field.
          "floodlightActivityGroupTagString": "A String", # Tag string of the associated floodlight activity group. This is a read-only field.
          "publisherTags": [ # Publisher dynamic floodlight tags.
            { # Publisher Dynamic Tag
              "viewThrough": True or False, # Whether this tag is applicable only for view-throughs.
              "clickThrough": True or False, # Whether this tag is applicable only for click-throughs.
              "siteId": "A String", # Site ID of this dynamic tag.
              "dynamicTag": { # Dynamic Tag # Dynamic floodlight tag.
                "tag": "A String", # Tag code.
                "id": "A String", # ID of this dynamic tag. This is a read-only, auto-generated field.
                "name": "A String", # Name of this tag.
              },
              "directorySiteId": "A String", # Directory site ID of this dynamic tag. This is a write-only field that can be used as an alternative to the siteId field. When this resource is retrieved, only the siteId field will be populated.
              "siteIdDimensionValue": { # Represents a DimensionValue resource. # Dimension value for the ID of the site. This is a read-only, auto-generated field.
                "kind": "dfareporting#dimensionValue", # The kind of resource this is, in this case dfareporting#dimensionValue.
                "value": "A String", # The value of the dimension.
                "dimensionName": "A String", # The name of the dimension.
                "etag": "A String", # The eTag of this response for caching purposes.
                "matchType": "A String", # Determines how the 'value' field is matched when filtering. If not specified, defaults to EXACT. If set to WILDCARD_EXPRESSION, '*' is allowed as a placeholder for variable length character sequences, and it can be escaped with a backslash. Note, only paid search dimensions ('dfa:paidSearch*') allow a matchType other than EXACT.
                "id": "A String", # The ID associated with the value if available.
              },
            },
          ],
          "sslCompliant": True or False, # Whether the floodlight activity is SSL-compliant. This is a read-only field, its value detected by the system from the floodlight tags.
          "floodlightConfigurationIdDimensionValue": { # Represents a DimensionValue resource. # Dimension value for the ID of the floodlight configuration. This is a read-only, auto-generated field.
            "kind": "dfareporting#dimensionValue", # The kind of resource this is, in this case dfareporting#dimensionValue.
            "value": "A String", # The value of the dimension.
            "dimensionName": "A String", # The name of the dimension.
            "etag": "A String", # The eTag of this response for caching purposes.
            "matchType": "A String", # Determines how the 'value' field is matched when filtering. If not specified, defaults to EXACT. If set to WILDCARD_EXPRESSION, '*' is allowed as a placeholder for variable length character sequences, and it can be escaped with a backslash. Note, only paid search dimensions ('dfa:paidSearch*') allow a matchType other than EXACT.
            "id": "A String", # The ID associated with the value if available.
          },
          "idDimensionValue": { # Represents a DimensionValue resource. # Dimension value for the ID of this floodlight activity. This is a read-only, auto-generated field.
            "kind": "dfareporting#dimensionValue", # The kind of resource this is, in this case dfareporting#dimensionValue.
            "value": "A String", # The value of the dimension.
            "dimensionName": "A String", # The name of the dimension.
            "etag": "A String", # The eTag of this response for caching purposes.
            "matchType": "A String", # Determines how the 'value' field is matched when filtering. If not specified, defaults to EXACT. If set to WILDCARD_EXPRESSION, '*' is allowed as a placeholder for variable length character sequences, and it can be escaped with a backslash. Note, only paid search dimensions ('dfa:paidSearch*') allow a matchType other than EXACT.
            "id": "A String", # The ID associated with the value if available.
          },
          "hidden": True or False, # Whether this activity is archived.
          "accountId": "A String", # Account ID of this floodlight activity. This is a read-only field that can be left blank.
          "sslRequired": True or False, # Whether this floodlight activity must be SSL-compliant.
          "expectedUrl": "A String", # URL where this tag will be deployed. If specified, must be less than 256 characters long.
          "cacheBustingType": "A String", # Code type used for cache busting in the generated tag.
          "kind": "dfareporting#floodlightActivity", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#floodlightActivity".
          "subaccountId": "A String", # Subaccount ID of this floodlight activity. This is a read-only field that can be left blank.
          "name": "A String", # Name of this floodlight activity. This is a required field. Must be less than 129 characters long and cannot contain quotes.
          "notes": "A String", # General notes or implementation instructions for the tag.
          "floodlightConfigurationId": "A String", # Floodlight configuration ID of this floodlight activity. If this field is left blank, the value will be copied over either from the activity group's floodlight configuration or from the existing activity's floodlight configuration.
          "userDefinedVariableTypes": [ # List of the user-defined variables used by this conversion tag. These map to the "u[1-20]=" in the tags. Each of these can have a user defined type.
              # Acceptable values are:
              # - "U1"
              # - "U2"
              # - "U3"
              # - "U4"
              # - "U5"
              # - "U6"
              # - "U7"
              # - "U8"
              # - "U9"
              # - "U10"
              # - "U11"
              # - "U12"
              # - "U13"
              # - "U14"
              # - "U15"
              # - "U16"
              # - "U17"
              # - "U18"
              # - "U19"
              # - "U20"
            "A String",
          ],
          "defaultTags": [ # Dynamic floodlight tags.
            { # Dynamic Tag
              "tag": "A String", # Tag code.
              "id": "A String", # ID of this dynamic tag. This is a read-only, auto-generated field.
              "name": "A String", # Name of this tag.
            },
          ],
          "countingMethod": "A String", # Counting method for conversions for this floodlight activity. This is a required field.
          "floodlightActivityGroupType": "A String", # Type of the associated floodlight activity group. This is a read-only field.
        }

`update(profileId, body)`

    Updates an existing floodlight activity.

    Args:
      profileId: string, User profile ID associated with this request. (required)
      body: object, The request body. (required)
        The object takes the form of:

    { # Contains properties of a Floodlight activity.
        "tagString": "A String", # Value of the cat= paramter in the floodlight tag, which the ad servers use to identify the activity. This is optional: if empty, a new tag string will be generated for you. This string must be 1 to 8 characters long, with valid characters being [a-z][A-Z][0-9][-][ _ ]. This tag string must also be unique among activities of the same activity group. This field is read-only after insertion.
        "secure": True or False, # Whether this tag should use SSL.
        "floodlightActivityGroupName": "A String", # Name of the associated floodlight activity group. This is a read-only field.
        "imageTagEnabled": True or False, # Whether the image tag is enabled for this activity.
        "advertiserId": "A String", # Advertiser ID of this floodlight activity. If this field is left blank, the value will be copied over either from the activity group's advertiser or the existing activity's advertiser.
        "tagFormat": "A String", # Tag format type for the floodlight activity. If left blank, the tag format will default to HTML.
        "advertiserIdDimensionValue": { # Represents a DimensionValue resource. # Dimension value for the ID of the advertiser. This is a read-only, auto-generated field.
          "kind": "dfareporting#dimensionValue", # The kind of resource this is, in this case dfareporting#dimensionValue.
          "value": "A String", # The value of the dimension.
          "dimensionName": "A String", # The name of the dimension.
          "etag": "A String", # The eTag of this response for caching purposes.
          "matchType": "A String", # Determines how the 'value' field is matched when filtering. If not specified, defaults to EXACT. If set to WILDCARD_EXPRESSION, '*' is allowed as a placeholder for variable length character sequences, and it can be escaped with a backslash. Note, only paid search dimensions ('dfa:paidSearch*') allow a matchType other than EXACT.
          "id": "A String", # The ID associated with the value if available.
        },
        "floodlightActivityGroupId": "A String", # Floodlight activity group ID of this floodlight activity. This is a required field.
        "id": "A String", # ID of this floodlight activity. This is a read-only, auto-generated field.
        "floodlightActivityGroupTagString": "A String", # Tag string of the associated floodlight activity group. This is a read-only field.
        "publisherTags": [ # Publisher dynamic floodlight tags.
          { # Publisher Dynamic Tag
            "viewThrough": True or False, # Whether this tag is applicable only for view-throughs.
            "clickThrough": True or False, # Whether this tag is applicable only for click-throughs.
            "siteId": "A String", # Site ID of this dynamic tag.
            "dynamicTag": { # Dynamic Tag # Dynamic floodlight tag.
              "tag": "A String", # Tag code.
              "id": "A String", # ID of this dynamic tag. This is a read-only, auto-generated field.
              "name": "A String", # Name of this tag.
            },
            "directorySiteId": "A String", # Directory site ID of this dynamic tag. This is a write-only field that can be used as an alternative to the siteId field. When this resource is retrieved, only the siteId field will be populated.
            "siteIdDimensionValue": { # Represents a DimensionValue resource. # Dimension value for the ID of the site. This is a read-only, auto-generated field.
              "kind": "dfareporting#dimensionValue", # The kind of resource this is, in this case dfareporting#dimensionValue.
              "value": "A String", # The value of the dimension.
              "dimensionName": "A String", # The name of the dimension.
              "etag": "A String", # The eTag of this response for caching purposes.
              "matchType": "A String", # Determines how the 'value' field is matched when filtering. If not specified, defaults to EXACT. If set to WILDCARD_EXPRESSION, '*' is allowed as a placeholder for variable length character sequences, and it can be escaped with a backslash. Note, only paid search dimensions ('dfa:paidSearch*') allow a matchType other than EXACT.
              "id": "A String", # The ID associated with the value if available.
            },
          },
        ],
        "sslCompliant": True or False, # Whether the floodlight activity is SSL-compliant. This is a read-only field, its value detected by the system from the floodlight tags.
        "floodlightConfigurationIdDimensionValue": { # Represents a DimensionValue resource. # Dimension value for the ID of the floodlight configuration. This is a read-only, auto-generated field.
          "kind": "dfareporting#dimensionValue", # The kind of resource this is, in this case dfareporting#dimensionValue.
          "value": "A String", # The value of the dimension.
          "dimensionName": "A String", # The name of the dimension.
          "etag": "A String", # The eTag of this response for caching purposes.
          "matchType": "A String", # Determines how the 'value' field is matched when filtering. If not specified, defaults to EXACT. If set to WILDCARD_EXPRESSION, '*' is allowed as a placeholder for variable length character sequences, and it can be escaped with a backslash. Note, only paid search dimensions ('dfa:paidSearch*') allow a matchType other than EXACT.
          "id": "A String", # The ID associated with the value if available.
        },
        "idDimensionValue": { # Represents a DimensionValue resource. # Dimension value for the ID of this floodlight activity. This is a read-only, auto-generated field.
          "kind": "dfareporting#dimensionValue", # The kind of resource this is, in this case dfareporting#dimensionValue.
          "value": "A String", # The value of the dimension.
          "dimensionName": "A String", # The name of the dimension.
          "etag": "A String", # The eTag of this response for caching purposes.
          "matchType": "A String", # Determines how the 'value' field is matched when filtering. If not specified, defaults to EXACT. If set to WILDCARD_EXPRESSION, '*' is allowed as a placeholder for variable length character sequences, and it can be escaped with a backslash. Note, only paid search dimensions ('dfa:paidSearch*') allow a matchType other than EXACT.
          "id": "A String", # The ID associated with the value if available.
        },
        "hidden": True or False, # Whether this activity is archived.
        "accountId": "A String", # Account ID of this floodlight activity. This is a read-only field that can be left blank.
        "sslRequired": True or False, # Whether this floodlight activity must be SSL-compliant.
        "expectedUrl": "A String", # URL where this tag will be deployed. If specified, must be less than 256 characters long.
        "cacheBustingType": "A String", # Code type used for cache busting in the generated tag.
        "kind": "dfareporting#floodlightActivity", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#floodlightActivity".
        "subaccountId": "A String", # Subaccount ID of this floodlight activity. This is a read-only field that can be left blank.
        "name": "A String", # Name of this floodlight activity. This is a required field. Must be less than 129 characters long and cannot contain quotes.
        "notes": "A String", # General notes or implementation instructions for the tag.
        "floodlightConfigurationId": "A String", # Floodlight configuration ID of this floodlight activity. If this field is left blank, the value will be copied over either from the activity group's floodlight configuration or from the existing activity's floodlight configuration.
        "userDefinedVariableTypes": [ # List of the user-defined variables used by this conversion tag. These map to the "u[1-20]=" in the tags. Each of these can have a user defined type.
            # Acceptable values are:
            # - "U1"
            # - "U2"
            # - "U3"
            # - "U4"
            # - "U5"
            # - "U6"
            # - "U7"
            # - "U8"
            # - "U9"
            # - "U10"
            # - "U11"
            # - "U12"
            # - "U13"
            # - "U14"
            # - "U15"
            # - "U16"
            # - "U17"
            # - "U18"
            # - "U19"
            # - "U20"
          "A String",
        ],
        "defaultTags": [ # Dynamic floodlight tags.
          { # Dynamic Tag
            "tag": "A String", # Tag code.
            "id": "A String", # ID of this dynamic tag. This is a read-only, auto-generated field.
            "name": "A String", # Name of this tag.
          },
        ],
        "countingMethod": "A String", # Counting method for conversions for this floodlight activity. This is a required field.
        "floodlightActivityGroupType": "A String", # Type of the associated floodlight activity group. This is a read-only field.
      }

    Returns:
      An object of the form:

        { # Contains properties of a Floodlight activity.
          "tagString": "A String", # Value of the cat= paramter in the floodlight tag, which the ad servers use to identify the activity. This is optional: if empty, a new tag string will be generated for you. This string must be 1 to 8 characters long, with valid characters being [a-z][A-Z][0-9][-][ _ ]. This tag string must also be unique among activities of the same activity group. This field is read-only after insertion.
          "secure": True or False, # Whether this tag should use SSL.
          "floodlightActivityGroupName": "A String", # Name of the associated floodlight activity group. This is a read-only field.
          "imageTagEnabled": True or False, # Whether the image tag is enabled for this activity.
          "advertiserId": "A String", # Advertiser ID of this floodlight activity. If this field is left blank, the value will be copied over either from the activity group's advertiser or the existing activity's advertiser.
          "tagFormat": "A String", # Tag format type for the floodlight activity. If left blank, the tag format will default to HTML.
          "advertiserIdDimensionValue": { # Represents a DimensionValue resource. # Dimension value for the ID of the advertiser. This is a read-only, auto-generated field.
            "kind": "dfareporting#dimensionValue", # The kind of resource this is, in this case dfareporting#dimensionValue.
            "value": "A String", # The value of the dimension.
            "dimensionName": "A String", # The name of the dimension.
            "etag": "A String", # The eTag of this response for caching purposes.
            "matchType": "A String", # Determines how the 'value' field is matched when filtering. If not specified, defaults to EXACT. If set to WILDCARD_EXPRESSION, '*' is allowed as a placeholder for variable length character sequences, and it can be escaped with a backslash. Note, only paid search dimensions ('dfa:paidSearch*') allow a matchType other than EXACT.
            "id": "A String", # The ID associated with the value if available.
          },
          "floodlightActivityGroupId": "A String", # Floodlight activity group ID of this floodlight activity. This is a required field.
          "id": "A String", # ID of this floodlight activity. This is a read-only, auto-generated field.
          "floodlightActivityGroupTagString": "A String", # Tag string of the associated floodlight activity group. This is a read-only field.
          "publisherTags": [ # Publisher dynamic floodlight tags.
            { # Publisher Dynamic Tag
              "viewThrough": True or False, # Whether this tag is applicable only for view-throughs.
              "clickThrough": True or False, # Whether this tag is applicable only for click-throughs.
              "siteId": "A String", # Site ID of this dynamic tag.
              "dynamicTag": { # Dynamic Tag # Dynamic floodlight tag.
                "tag": "A String", # Tag code.
                "id": "A String", # ID of this dynamic tag. This is a read-only, auto-generated field.
                "name": "A String", # Name of this tag.
              },
              "directorySiteId": "A String", # Directory site ID of this dynamic tag. This is a write-only field that can be used as an alternative to the siteId field. When this resource is retrieved, only the siteId field will be populated.
              "siteIdDimensionValue": { # Represents a DimensionValue resource. # Dimension value for the ID of the site. This is a read-only, auto-generated field.
                "kind": "dfareporting#dimensionValue", # The kind of resource this is, in this case dfareporting#dimensionValue.
                "value": "A String", # The value of the dimension.
                "dimensionName": "A String", # The name of the dimension.
                "etag": "A String", # The eTag of this response for caching purposes.
                "matchType": "A String", # Determines how the 'value' field is matched when filtering. If not specified, defaults to EXACT. If set to WILDCARD_EXPRESSION, '*' is allowed as a placeholder for variable length character sequences, and it can be escaped with a backslash. Note, only paid search dimensions ('dfa:paidSearch*') allow a matchType other than EXACT.
                "id": "A String", # The ID associated with the value if available.
              },
            },
          ],
          "sslCompliant": True or False, # Whether the floodlight activity is SSL-compliant. This is a read-only field, its value detected by the system from the floodlight tags.
          "floodlightConfigurationIdDimensionValue": { # Represents a DimensionValue resource. # Dimension value for the ID of the floodlight configuration. This is a read-only, auto-generated field.
            "kind": "dfareporting#dimensionValue", # The kind of resource this is, in this case dfareporting#dimensionValue.
            "value": "A String", # The value of the dimension.
            "dimensionName": "A String", # The name of the dimension.
            "etag": "A String", # The eTag of this response for caching purposes.
            "matchType": "A String", # Determines how the 'value' field is matched when filtering. If not specified, defaults to EXACT. If set to WILDCARD_EXPRESSION, '*' is allowed as a placeholder for variable length character sequences, and it can be escaped with a backslash. Note, only paid search dimensions ('dfa:paidSearch*') allow a matchType other than EXACT.
            "id": "A String", # The ID associated with the value if available.
          },
          "idDimensionValue": { # Represents a DimensionValue resource. # Dimension value for the ID of this floodlight activity. This is a read-only, auto-generated field.
            "kind": "dfareporting#dimensionValue", # The kind of resource this is, in this case dfareporting#dimensionValue.
            "value": "A String", # The value of the dimension.
            "dimensionName": "A String", # The name of the dimension.
            "etag": "A String", # The eTag of this response for caching purposes.
            "matchType": "A String", # Determines how the 'value' field is matched when filtering. If not specified, defaults to EXACT. If set to WILDCARD_EXPRESSION, '*' is allowed as a placeholder for variable length character sequences, and it can be escaped with a backslash. Note, only paid search dimensions ('dfa:paidSearch*') allow a matchType other than EXACT.
            "id": "A String", # The ID associated with the value if available.
          },
          "hidden": True or False, # Whether this activity is archived.
          "accountId": "A String", # Account ID of this floodlight activity. This is a read-only field that can be left blank.
          "sslRequired": True or False, # Whether this floodlight activity must be SSL-compliant.
          "expectedUrl": "A String", # URL where this tag will be deployed. If specified, must be less than 256 characters long.
          "cacheBustingType": "A String", # Code type used for cache busting in the generated tag.
          "kind": "dfareporting#floodlightActivity", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#floodlightActivity".
          "subaccountId": "A String", # Subaccount ID of this floodlight activity. This is a read-only field that can be left blank.
          "name": "A String", # Name of this floodlight activity. This is a required field. Must be less than 129 characters long and cannot contain quotes.
          "notes": "A String", # General notes or implementation instructions for the tag.
          "floodlightConfigurationId": "A String", # Floodlight configuration ID of this floodlight activity. If this field is left blank, the value will be copied over either from the activity group's floodlight configuration or from the existing activity's floodlight configuration.
          "userDefinedVariableTypes": [ # List of the user-defined variables used by this conversion tag. These map to the "u[1-20]=" in the tags. Each of these can have a user defined type.
              # Acceptable values are:
              # - "U1"
              # - "U2"
              # - "U3"
              # - "U4"
              # - "U5"
              # - "U6"
              # - "U7"
              # - "U8"
              # - "U9"
              # - "U10"
              # - "U11"
              # - "U12"
              # - "U13"
              # - "U14"
              # - "U15"
              # - "U16"
              # - "U17"
              # - "U18"
              # - "U19"
              # - "U20"
            "A String",
          ],
          "defaultTags": [ # Dynamic floodlight tags.
            { # Dynamic Tag
              "tag": "A String", # Tag code.
              "id": "A String", # ID of this dynamic tag. This is a read-only, auto-generated field.
              "name": "A String", # Name of this tag.
            },
          ],
          "countingMethod": "A String", # Counting method for conversions for this floodlight activity. This is a required field.
          "floodlightActivityGroupType": "A String", # Type of the associated floodlight activity group. This is a read-only field.
        }